%define nm_version 0.7.0.97
%define nm_applet_version 0.7.0.97

Name: NetworkManager-openvpn
Version: 0.7.1
Release: alt1
License: %gpl2plus
Group: System/Configuration/Networking
Summary: NetworkManager VPN plugin for OpenVPN
Url: http://www.gnome.org/projects/NetworkManager
Packager: Mikhail Efremov <sem@altlinux.org>
Source0: %name-%version.tar
Patch0: alt-no-script-security-option.patch
Requires: NetworkManager   >= %nm_version
Requires: openvpn          >= 2.0

# Automatically added by buildreq on Fri May 16 2008
BuildRequires: libgnome-keyring-devel perl-XML-Parser

BuildRequires: intltool 
BuildRequires: libglade2-devel
BuildRequires: NetworkManager-devel >= %nm_version
BuildRequires: NetworkManager-glib-devel >= %nm_version
BuildRequires: rpm-build-licenses
BuildRequires: libGConf-devel

%description
NetworkManager-openvpn provides VPN support to NetworkManager for
OpenVPN.

%package gnome
License: %gpl2plus
Summary: GNOME applications for %name
Group: Graphical desktop/GNOME
Requires: gtk2             >= 2.10.0
Requires: shared-mime-info >= 0.16
Requires: GConf2
Requires: gnome-keyring
Requires: NetworkManager-gnome >= %nm_applet_version
Requires: NetworkManager-openvpn = %version

%description gnome
This package contains GNOME applications for use with
NetworkManager panel applet.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p2

%build
%autoreconf
%configure \
	--disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

%post
if /sbin/service messagebus status &>/dev/null; then
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig &>/dev/null ||:
else
echo "NetworkManager-openvpn requires running messagebus service." >&2
fi

%files
%doc AUTHORS ChangeLog README
%_libexecdir/nm-openvpn-service
%_libexecdir/nm-openvpn-service-openvpn-helper
%dir %_sysconfdir/NetworkManager/VPN
%_sysconfdir/NetworkManager/VPN/nm-openvpn-service.name
%_sysconfdir/dbus-1/system.d/nm-openvpn-service.conf

%files gnome -f %name.lang
%_libdir/NetworkManager/libnm-openvpn-properties.so*
%_libexecdir/nm-openvpn-auth-dialog
%_datadir/applications/nm-openvpn.desktop
%_datadir/gnome-vpn-properties
%_datadir/icons/hicolor/*/*/*.png

%exclude %_libdir/NetworkManager/*.la

%changelog
* Wed Apr 15 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt1
- Release 0.7.1

* Thu Mar 05 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt1
- 0.7.0.99 (0.7.1-rc3)

* Tue Mar 03 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.97-alt2
- GNOME stuff moved to NetworkManager-openvpn-gnome

* Thu Feb 19 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.97-alt1
- 0.7.0.97 (0.7.1-rc1)

* Wed Dec 03 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt5
- Release NetworkManager 0.7

* Mon Dec 01 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt4.svn.r4326
- no OpenVPN 2.1 options (close #18034)

* Tue Nov 25 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3.svn.r4326
- BuildRequires fixed

* Tue Nov 25 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn.r4326
- new svn snapshot
- removed obsolete post/postun macros calls
- update summary

* Tue Nov 11 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn.r4229
- new svn snapshot

* Wed Aug 13 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn.r3930
- new svn snapshot
- BuildRequires updated
- %post updated: D-Bus config reload

* Tue Jul 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn20080722
- new svn snapshot (3842)

* Thu May 29 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn20080527
- spec fixed

* Wed May 28 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080527
- initial build

